## gnome-photos 3.31.91

=== debian/changelog ===
gnome-photos (3.31.91-1~build1) disco; urgency=medium

  * Upload directly to disco because of the Feature Freeze deadline

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Feb 2019 13:20:41 -0500

gnome-photos (3.31.91-1) experimental; urgency=medium

  * New upstream development release
  * Build with meson
  * Bump Build-Depends: libgdk-pixbuf2.0-dev 2.36.8 and libglib2.0-dev 2.57.2
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Feb 2019 13:18:33 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-photos
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 12),
               dh-sequence-gnome,
               gsettings-desktop-schemas-dev,
               itstool,
               libbabl-dev,
               libcairo2-dev (>= 1.14.0),
               libdazzle-1.0-dev (>= 3.26.0),
               libgdata-dev (>= 0.15.2),
               libgdk-pixbuf2.0-dev (>= 2.36.8),
               libgegl-dev (>= 0.4.0),
               libgeocode-glib-dev,
               libgexiv2-dev (>= 0.10.8),
               libgfbgraph-0.2-dev (>= 0.2.1),
               libglib2.0-dev (>= 2.57.2),
               libgoa-1.0-dev (>= 3.8.0),
               libgrilo-0.3-dev (>= 0.3.5),
               libjpeg-dev,
               libpng-dev (>= 1.6),
               libgtk-3-dev (>= 3.22.16),
               libtracker-control-2.0-dev,
               libtracker-sparql-2.0-dev,
               libwnck-3-dev,
               meson (>= 0.47.0),
Standards-Version: 4.3.0
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-photos
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-photos.git
Homepage: https://wiki.gnome.org/Apps/Photos

Package: gnome-photos
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tracker,
         tracker-extract,
         gnome-online-miners
Recommends: dleyna-renderer [linux-any],
            grilo-plugins-0.3
Description: application to access, organize and share your photos with GNOME
 GNOME Photos is designed to fulfill your needs to:
  - View local and online/cloud collections
  - View photos on attached devices
  - View photos on DLNA media servers
  - See new photos shared by friends
  - View full screen slideshows
  - Share photos
  - Upload photos
  - Set as background
  - Select favorites
  - Very basic manipulation: Crop, Enhance, Combine into an Album

## gnome-photos 3.32.0

=== debian/changelog ===
gnome-photos (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 19 Mar 2019 20:38:53 -0400

## gnome-photos 3.34.0

=== debian/changelog ===
gnome-photos (3.34.0-2) unstable; urgency=medium

  * Add test-gegl-Mark-as-slow-test.patch:
    Mark gegl test as 'slow' so that it hopefully won't timeout on armel

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 20 Oct 2019 06:56:12 -0400

gnome-photos (3.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Sep 2019 22:34:48 +0200

## gnome-photos 3.34.1

=== meson_options.txt ===
option('dogtail', type: 'boolean', value: true, description: 'test using dogtail')
option('installed_tests', type: 'boolean', value: false, description: 'Enable installation of some test cases')

=== debian/changelog ===
gnome-photos (3.34.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control.in: Add Rules-Requires-Root: no

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Mar 2020 19:35:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-photos
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev,
@@ -31,8 +30,9 @@
                libtracker-sparql-2.0-dev,
                libwnck-3-dev,
                meson (>= 0.47.0),
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 X-Ubuntu-Use-Langpack: yes
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-photos
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-photos.git
 Homepage: https://wiki.gnome.org/Apps/Photos

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --buildsystem=meson --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- -Ddogtail=false

## gnome-photos 3.34.2

=== debian/changelog ===
gnome-photos (3.34.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Stop calling functions deprecated in gegl 0.4.23, fixing FTBFS and
      autopkgtest failure (Closes: #963683)
    - Fix test failures with newer babl
    - Translation updates

 -- Simon McVittie <smcv@debian.org>  Thu, 25 Jun 2020 10:08:06 +0100

gnome-photos (3.34.1-2) unstable; urgency=medium

  * Build-Depend on librsvg2-common:native.  This package contains the SVG
    backend for gdk-pixbuf, which is necessary to ensure that
    gdk-pixbuf-pixdata can actually load SVGs. It was previously pulled in via
    the dependency chain libgtk-3-0 -> adwaita-icon-theme -> librsvg2-common
    (Closes: #959584)

 -- Iain Lane <laney@debian.org>  Wed, 13 May 2020 10:43:29 +0100

## gnome-photos 3.38.0

=== debian/changelog ===
gnome-photos (3.38.0-3) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/watch: Update to follow the new GNOME version scheme
  * debian/control: Do not restrict dleyna-renderer on linux-any anymore
  * Drop d/p/tests-keep-using-python2.patch, switch the test to python3.
    Also switch the dependencies of gnome-photos-tests to python3 and add
    some missing dependencies.
  * d/t/installed-tests: Fix running the installed tests.
    D-Bus activated services needs the DISPLAY to be set, start the
    dbus-daemon after xvfb. Override HOME and point it to AUTOPKGTEST_TMP

  [ Jeremy Bicha ]
  * Add gnome-photos-tests package containing installed tests from upstream
    and switch autopkgtest to run it using gnome-desktop-testing

 -- Laurent Bigonville <bigon@debian.org>  Fri, 14 May 2021 22:02:07 +0200

gnome-photos (3.38.0-2) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Add patch to avoid exceeding gegl's arbitrary max number of threads,
    fixing FTBFS on machines with more than 128 cores (Closes: #976932)

  [ Jeremy Bicha ]
  * d/rules: Remove leftovers from dual Autotools/Meson build system

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Jan 2021 13:21:33 +0000

gnome-photos (3.38.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add patch to revert use of private Tracker daemons.
    GNOME is moving to Tracker 3.x by default, but Debian still has
    Tracker 2.x (see #964376) so we don't need this change yet.

 -- Simon McVittie <smcv@debian.org>  Mon, 05 Oct 2020 09:32:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev,
@@ -25,6 +25,7 @@
                libgrilo-0.3-dev (>= 0.3.5),
                libjpeg-dev,
                libpng-dev (>= 1.6),
+               librsvg2-common:native,
                libgtk-3-dev (>= 3.22.16),
                libtracker-control-2.0-dev,
                libtracker-sparql-2.0-dev,
@@ -44,7 +45,7 @@
          tracker,
          tracker-extract,
          gnome-online-miners
-Recommends: dleyna-renderer [linux-any],
+Recommends: dleyna-renderer,
             grilo-plugins-0.3
 Description: application to access, organize and share your photos with GNOME
  GNOME Photos is designed to fulfill your needs to:
@@ -58,3 +59,29 @@
   - Set as background
   - Select favorites
   - Very basic manipulation: Crop, Enhance, Combine into an Album
+
+Package: gnome-photos-tests
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         gir1.2-glib-2.0,
+         gnome-photos,
+         python3,
+         python3-dogtail,
+         python3-gi,
+         python3-pyatspi
+Description: app to access, organize and share your photos - installed tests
+ GNOME Photos is designed to fulfill your needs to:
+  - View local and online/cloud collections
+  - View photos on attached devices
+  - View photos on DLNA media servers
+  - See new photos shared by friends
+  - View full screen slideshows
+  - Share photos
+  - Upload photos
+  - Set as background
+  - Select favorites
+  - Very basic manipulation: Crop, Enhance, Combine into an Album
+ .
+ This package contains test programs, designed to be run as part of a
+ regression testsuite.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

# dogtail tests currently required installed gnome-photos
# Fortunately, we have autopkgtest for that! 😁
override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddogtail=false \
		-Dinstalled_tests=true

override_dh_missing:
	dh_missing --fail-missing

## gnome-photos 40.0

=== debian/changelog ===
gnome-photos (40.0-1) experimental; urgency=medium

  [ Iain Lane ]
  * New upstream release
  * control: Bump deps per upstream
  * control, rules: Bump to compat 13. Drop dh_missing --fail-missing
    override as this is now the default.
  * patches/
    - test-gegl-Mark-as-slow-test.patch: Rebase
    - gegl-Don-t-exceed-arbitrary-maximum-number-of-threads.patch: Drop. This
      is upstream (slightly modified).
    - Revert-Switch-to-private-instances-of-the-Tracker-2.x-dae.patch: Drop.
      We're switching to Tracker 3 now

  [ Laurent Bigonville ]
  * debian/control.in: Tighten gnome-photos-tests dependency against
    gnome-photos

 -- Iain Lane <iain.lane@canonical.com>  Thu, 24 Jun 2021 17:38:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,28 +7,28 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev,
                itstool,
                libbabl-dev,
                libcairo2-dev (>= 1.14.0),
                libdazzle-1.0-dev (>= 3.26.0),
-               libgdata-dev (>= 0.15.2),
+               libgdata-dev (>= 0.17.3),
                libgdk-pixbuf2.0-dev (>= 2.36.8),
                libgegl-dev (>= 0.4.0),
                libgeocode-glib-dev,
                libgexiv2-dev (>= 0.10.8),
                libgfbgraph-0.2-dev (>= 0.2.1),
-               libglib2.0-dev (>= 2.57.2),
+               libglib2.0-dev (>= 2.62.0),
                libgoa-1.0-dev (>= 3.8.0),
                libgrilo-0.3-dev (>= 0.3.5),
+               libhandy-1-dev (>= 1.1.90),
                libjpeg-dev,
                libpng-dev (>= 1.6),
                librsvg2-common:native,
                libgtk-3-dev (>= 3.22.16),
-               libtracker-control-2.0-dev,
-               libtracker-sparql-2.0-dev,
+               libtracker-sparql-3.0-dev,
                libwnck-3-dev,
                meson (>= 0.47.0),
 Standards-Version: 4.5.0
@@ -42,8 +42,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         tracker,
-         tracker-extract,
+         tracker (>= 3.0),
+         tracker-extract  (>= 3.0),
          gnome-online-miners
 Recommends: dleyna-renderer,
             grilo-plugins-0.3
@@ -65,7 +65,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          gir1.2-glib-2.0,
-         gnome-photos,
+         gnome-photos (= ${binary:Version}),
          python3,
          python3-dogtail,
          python3-gi,

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,3 @@
 	dh_auto_configure -- \
 		-Ddogtail=false \
 		-Dinstalled_tests=true
-
-override_dh_missing:
-	dh_missing --fail-missing

## gnome-photos 42.0

=== meson_options.txt ===
option('dogtail', type: 'boolean', value: true, description: 'test using dogtail')
option('flatpak', type: 'boolean', value: false, description: 'Enable building for Flatpaks')
option('installed_tests', type: 'boolean', value: false, description: 'Enable installation of some test cases')
option('manuals', type: 'boolean', value: false, description: 'Enable manual pages')

=== debian/changelog ===
gnome-photos (42.0-2) unstable; urgency=medium

  * Cherry-pick patch to drop Facebook support since gfbgraph hasn't
    been ported to libsoup3
  * debian/control.in: Don't Build-Depend on gfbgraph

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 02 Aug 2022 15:19:21 -0400

gnome-photos (42.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Drop test and meson patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 13:40:03 -0400

gnome-photos (40.0-3) unstable; urgency=medium

  * Team upload
  * d/p/meson-remove-incorrect-args-for-i18n.merge_file.patch:
    Add patch from upstream to fix FTBFS with Meson 0.61 (Closes: #1005569)

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Feb 2022 17:07:21 +0000

gnome-photos (40.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Switch BD from libgdk-pixbuf2.0-dev to
    libgdk-pixbuf-2.0-dev

  [ Jeremy Bicha ]
  * Add epoch to gegl dependency
  * debian/rules: Drop unneeded -Wl,--as-needed
  * d/rules: Override dh_fixperms to set correct permissions on /usr/libexec
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 18:06:45 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev,
@@ -15,11 +15,10 @@
                libcairo2-dev (>= 1.14.0),
                libdazzle-1.0-dev (>= 3.26.0),
                libgdata-dev (>= 0.17.3),
-               libgdk-pixbuf2.0-dev (>= 2.36.8),
-               libgegl-dev (>= 0.4.0),
+               libgdk-pixbuf-2.0-dev (>= 2.36.8) | libgdk-pixbuf2.0-dev (>= 2.36.8),
+               libgegl-dev (>= 1:0.4.0),
                libgeocode-glib-dev,
                libgexiv2-dev (>= 0.10.8),
-               libgfbgraph-0.2-dev (>= 0.2.1),
                libglib2.0-dev (>= 2.62.0),
                libgoa-1.0-dev (>= 3.8.0),
                libgrilo-0.3-dev (>= 0.3.5),
@@ -31,7 +30,7 @@
                libtracker-sparql-3.0-dev,
                libwnck-3-dev,
                meson (>= 0.47.0),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 X-Ubuntu-Use-Langpack: yes
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-photos

## gnome-photos 43~beta

=== debian/changelog ===
gnome-photos (43~beta-3) unstable; urgency=medium

  * Switch to libsoup3 and bump required gnome-online-accounts & geocode-glib

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 18:54:40 -0400

gnome-photos (43~beta-2) unstable; urgency=medium

  * debian/control.in: Drop dependency on gnome-online-miners

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 23 Aug 2022 12:46:38 -0400

gnome-photos (43~beta-1) unstable; urgency=medium

  * New upstream release
  * Drop Facebook removal patch: applied in new release
  * Add patch to keep using older geocode-glib API version for now
  * Cherry-pick patch to drop Flickr plugin avoiding grilo+libsoup2
  * debian/control.in: Drop dependency on grilo
  * debian/control.in: Build-Depend on libportal-gtk3-dev
  * debian/control.in: Bump minimum libexiv2 to 0.14.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 23 Aug 2022 12:02:06 -0400

=== debian/control ===
--- 
+++ 
@@ -17,14 +17,15 @@
                libgdata-dev (>= 0.17.3),
                libgdk-pixbuf-2.0-dev (>= 2.36.8) | libgdk-pixbuf2.0-dev (>= 2.36.8),
                libgegl-dev (>= 1:0.4.0),
-               libgeocode-glib-dev,
-               libgexiv2-dev (>= 0.10.8),
+               libgeocode-glib-dev (>= 3.26.3),
+               libgexiv2-dev (>= 0.14.0),
                libglib2.0-dev (>= 2.62.0),
-               libgoa-1.0-dev (>= 3.8.0),
-               libgrilo-0.3-dev (>= 0.3.5),
+               libgoa-1.0-dev (>= 3.45.1),
+#               libgrilo-0.3-dev (>= 0.3.5),
                libhandy-1-dev (>= 1.1.90),
                libjpeg-dev,
                libpng-dev (>= 1.6),
+               libportal-gtk3-dev,
                librsvg2-common:native,
                libgtk-3-dev (>= 3.22.16),
                libtracker-sparql-3.0-dev,
@@ -43,9 +44,8 @@
          ${shlibs:Depends},
          tracker (>= 3.0),
          tracker-extract  (>= 3.0),
-         gnome-online-miners
 Recommends: dleyna-renderer,
-            grilo-plugins-0.3
+#            grilo-plugins-0.3
 Description: application to access, organize and share your photos with GNOME
  GNOME Photos is designed to fulfill your needs to:
   - View local and online/cloud collections

## gnome-photos 43.0

=== debian/changelog ===
gnome-photos (43.0-2) unstable; urgency=medium

  * Team upload
  * d/control.in: Drop Recommends on dleyna-renderer, which was removed
    from Debian.
    This will make apt frontends less likely to try to keep dleyna-renderer
    installed, which can interfere with the libgupnp 1.6 transition.
    (Closes: #1030123)
  * d/p/dlna-Don-t-show-a-warning-if-dleyna-isn-t-installed.patch:
    Add patch to silence a warning on startup when dleyna is not installed,
    as it will usually be the case in Debian 12
  * d/control.in: Add Recommends on gvfs-fuse.
    It's needed when connecting to an iPhone, and possibly other devices
    accessed via gphoto2.
    Thanks to Diego Escalante (Closes: #963722)
  * d/control.in: Drop commented-out references to Grilo.
    We can get these back from VCS history if we need them.
  * Update standards version to 4.6.2 (no changes needed)

 -- Simon McVittie <smcv@debian.org>  Tue, 31 Jan 2023 15:15:59 +0000

gnome-photos (43.0-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control.in: Drop alternative B-D on libgdk-pixbuf2.0-dev

  [ Jeremy Bicha ]
  * New upstream release
  * Drop Flickr removal patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 11:28:33 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev,
@@ -15,13 +15,12 @@
                libcairo2-dev (>= 1.14.0),
                libdazzle-1.0-dev (>= 3.26.0),
                libgdata-dev (>= 0.17.3),
-               libgdk-pixbuf-2.0-dev (>= 2.36.8) | libgdk-pixbuf2.0-dev (>= 2.36.8),
+               libgdk-pixbuf-2.0-dev (>= 2.36.8),
                libgegl-dev (>= 1:0.4.0),
                libgeocode-glib-dev (>= 3.26.3),
                libgexiv2-dev (>= 0.14.0),
                libglib2.0-dev (>= 2.62.0),
                libgoa-1.0-dev (>= 3.45.1),
-#               libgrilo-0.3-dev (>= 0.3.5),
                libhandy-1-dev (>= 1.1.90),
                libjpeg-dev,
                libpng-dev (>= 1.6),
@@ -31,7 +30,7 @@
                libtracker-sparql-3.0-dev,
                libwnck-3-dev,
                meson (>= 0.47.0),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 X-Ubuntu-Use-Langpack: yes
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-photos
@@ -44,8 +43,7 @@
          ${shlibs:Depends},
          tracker (>= 3.0),
          tracker-extract  (>= 3.0),
-Recommends: dleyna-renderer,
-#            grilo-plugins-0.3
+Recommends: gvfs-fuse,
 Description: application to access, organize and share your photos with GNOME
  GNOME Photos is designed to fulfill your needs to:
   - View local and online/cloud collections

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@
@@ -12,3 +12,11 @@
 	dh_auto_configure -- \
 		-Ddogtail=false \
 		-Dinstalled_tests=true
+
+# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
+# quite right for installed-tests
+override_dh_fixperms:
+	dh_fixperms -Xusr/libexec/installed-tests
+ifneq ($(filter %-tests,$(binaries)),)
+	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
+endif

=== debian/tests/control ===
Tests: installed-tests
Depends: gnome-photos-tests, dbus (>= 1.8), gnome-desktop-testing, xauth, xvfb

## gnome-photos 44.0

=== debian/changelog ===
gnome-photos (44.0-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Disable photos-test-pipeline (Closes: #1040202)

  [ Amin Bandali ]
  * Change packaging branch to debian/latest

  [ Simon McVittie ]
  * d/control, d/rules: Stop generating d/control from a template
  * d/control: Remove unused build-dependency on libgdata-dev
    (Closes: #1082013)

 -- Bastian Germann <bage@debian.org>  Fri, 03 Jan 2025 20:35:55 +0100

gnome-photos (44.0-2) experimental; urgency=medium

  * Includes changes from 43.0-2 accidentally left out of previous upload

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2023 13:28:41 -0500

gnome-photos (44.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.60.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2023 12:43:57 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-photos
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                gsettings-desktop-schemas-dev,
@@ -14,7 +10,6 @@
                libbabl-dev,
                libcairo2-dev (>= 1.14.0),
                libdazzle-1.0-dev (>= 3.26.0),
-               libgdata-dev (>= 0.17.3),
                libgdk-pixbuf-2.0-dev (>= 2.36.8),
                libgegl-dev (>= 1:0.4.0),
                libgeocode-glib-dev (>= 3.26.3),
@@ -29,7 +24,7 @@
                libgtk-3-dev (>= 3.22.16),
                libtracker-sparql-3.0-dev,
                libwnck-3-dev,
-               meson (>= 0.47.0),
+               meson (>= 0.60.0),
 Standards-Version: 4.6.2
 X-Ubuntu-Use-Langpack: yes
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -20,3 +20,5 @@
 ifneq ($(filter %-tests,$(binaries)),)
 	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
 endif
+
+override_dh_gnome_clean:
